/**
 * Copyright (c) 2016-2017 Inria
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 * - Philippe Merle <philippe.merle@inria.fr>
 * - Faiez Zalila <faiez.zalila@inria.fr>
 *
 * Generated at Wed Dec 19 10:30:40 CET 2018 from platform:/resource/monitoring/model/monitoring.occie by org.eclipse.cmf.occi.core.gen.connector
 */
package de.ugoe.cs.rwm.mocci.connector;

/**
 * Connector EFactory for the OCCI extension:
 * - name: monitoring
 * - scheme: http://schemas.ugoe.cs.rwm/monitoring#
 */
public class ConnectorFactory extends monitoring.impl.MonitoringFactoryImpl
{
	/**
	 * EFactory method for OCCI kind:
	 * - scheme: http://schemas.ugoe.cs.rwm/monitoring#
	 * - term: sensor
	 * - title: Sensor Component
	 */
	@Override
	public monitoring.Sensor createSensor() {
		return new SensorConnector();
	}

	/**
	 * EFactory method for OCCI kind:
	 * - scheme: http://schemas.ugoe.cs.rwm/monitoring#
	 * - term: datagatherer
	 * - title: DataGatherer Resource
	 */
	@Override
	public monitoring.Datagatherer createDatagatherer() {
		return new DatagathererConnector();
	}

	/**
	 * EFactory method for OCCI kind:
	 * - scheme: http://schemas.ugoe.cs.rwm/monitoring#
	 * - term: processor
	 * - title: Processor Resource
	 */
	@Override
	public monitoring.Processor createProcessor() {
		return new ProcessorConnector();
	}

	/**
	 * EFactory method for OCCI kind:
	 * - scheme: http://schemas.ugoe.cs.rwm/monitoring#
	 * - term: publisher
	 * - title: Publisher Resource
	 */
	@Override
	public monitoring.Publisher createPublisher() {
		return new PublisherConnector();
	}

	/**
	 * EFactory method for OCCI kind:
	 * - scheme: http://schemas.ugoe.cs.rwm/monitoring#
	 * - term: monitoringproperties
	 * - title: MonitoringProperty Mixin
	 */
	@Override
	public monitoring.Monitoringproperties createMonitoringproperties() {
		return new MonitoringpropertiesConnector();
	}

}
